Index: /trunk/admin/album_notification.php
===================================================================
--- /trunk/admin/album_notification.php	(revision 25004)
+++ /trunk/admin/album_notification.php	(revision 25005)
@@ -116,6 +116,6 @@
   array_push(
     $page['infos'],
-    sprintf(
-      l10n('An information email was sent to group "%s"'),
+    l10n(
+      'An information email was sent to group "%s"',
       $group_name
       )
Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 25004)
+++ /trunk/admin/batch_manager_global.php	(revision 25005)
@@ -416,8 +416,8 @@
   {
     if ($_POST['regenerateSuccess'] != '0')
-      array_push($page['infos'], sprintf(l10n('%s photos have been regenerated'), $_POST['regenerateSuccess']));
+      array_push($page['infos'], l10n('%s photos have been regenerated', $_POST['regenerateSuccess']));
 
     if ($_POST['regenerateError'] != '0')
-      array_push($page['warnings'], sprintf(l10n('%s photos can not be regenerated'), $_POST['regenerateError']));
+      array_push($page['warnings'], l10n('%s photos can not be regenerated', $_POST['regenerateError']));
 
   }
Index: /trunk/admin/cat_modify.php
===================================================================
--- /trunk/admin/cat_modify.php	(revision 25004)
+++ /trunk/admin/cat_modify.php	(revision 25005)
@@ -269,6 +269,6 @@
   if ($min_date == $max_date)
   {
-    $intro = sprintf(
-      l10n('This album contains %d photos, added on %s.'),
+    $intro = l10n(
+      'This album contains %d photos, added on %s.',
       $image_count,
       format_date($min_date)
@@ -277,6 +277,6 @@
   else
   {
-    $intro = sprintf(
-      l10n('This album contains %d photos, added between %s and %s.'),
+    $intro = l10n(
+      'This album contains %d photos, added between %s and %s.',
       $image_count,
       format_date($min_date),
@@ -290,5 +290,5 @@
 }
 
-$intro.= '<br>'.sprintf(l10n('Numeric identifier : %d'), $category['id']);
+$intro.= '<br>'.l10n('Numeric identifier : %d', $category['id']);
 
 $template->assign('INTRO', $intro);
Index: /trunk/admin/group_list.php
===================================================================
--- /trunk/admin/group_list.php	(revision 25004)
+++ /trunk/admin/group_list.php	(revision 25005)
@@ -73,8 +73,5 @@
     pwg_query($query);
 
-    array_push(
-      $page['infos'],
-      sprintf(l10n('group "%s" added'), $_POST['groupname'])
-      );
+    $page['infos'][] = l10n('group "%s" added', $_POST['groupname']);
   }
 }
@@ -154,8 +151,5 @@
       pwg_query($query);
     
-      array_push(
-        $page['infos'],
-        sprintf(l10n('group "%s" deleted'), $groupname)
-        );
+      $page['infos'][] = l10n('group "%s" deleted', $groupname);
     }
   }
@@ -237,8 +231,6 @@
     mass_inserts(USER_GROUP_TABLE, array('user_id','group_id'), $usr_grp);
     mass_inserts(GROUP_ACCESS_TABLE, array('group_id','cat_id'), $grp_access);
-    array_push(
-      $page['infos'],
-      sprintf(l10n('group "%s" added'), $_POST['merge'])
-      );
+    
+    $page['infos'][] = l10n('group "%s" added', $_POST['merge']);
   }
   
@@ -314,8 +306,5 @@
       mass_inserts(USER_GROUP_TABLE, array('user_id','group_id'), $usr_grp);
   
-      array_push(
-        $page['infos'],
-        sprintf(l10n('group "%s" added'), $_POST['duplicate_'.$group.''])
-        );
+      $page['infos'][] = l10n('group "%s" added', $_POST['duplicate_'.$group.'']);
     }
   }
@@ -345,8 +334,5 @@
       pwg_query($query);
     
-      array_push(
-        $page['infos'],
-        sprintf(l10n('group "%s" updated'), $groupname)
-        );
+      $page['infos'][] = l10n('group "%s" updated', $groupname);
     }
   }
Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 25004)
+++ /trunk/admin/group_perm.php	(revision 25005)
@@ -132,8 +132,7 @@
   array(
     'TITLE' =>
-      sprintf(
-        l10n('Manage permissions for group "%s"'),
-        get_groupname($page['group']
-          )
+      l10n(
+        'Manage permissions for group "%s"',
+        get_groupname($page['group'])
         ),
     'L_CAT_OPTIONS_TRUE'=>l10n('Authorized'),
Index: /trunk/admin/history.php
===================================================================
--- /trunk/admin/history.php	(revision 25004)
+++ /trunk/admin/history.php	(revision 25005)
@@ -534,8 +534,5 @@
       'MEMBERS' => sprintf(
         l10n_dec('%d member', '%d members', $summary['nb_members']).': %s',
-        implode(
-          ', ',
-          $member_strings
-          )
+        implode(', ', $member_strings)
         ),
       'GUESTS' => l10n_dec(
Index: /trunk/admin/intro.php
===================================================================
--- /trunk/admin/intro.php	(revision 25004)
+++ /trunk/admin/intro.php	(revision 25005)
@@ -213,5 +213,5 @@
     'DB_USERS' => l10n_dec('%d user', '%d users', $nb_users),
     'DB_GROUPS' => l10n_dec('%d group', '%d groups', $nb_groups),
-    'DB_RATES' => ($nb_rates == 0) ? l10n('no rate') : sprintf(l10n('%d rates'), $nb_rates),
+    'DB_RATES' => ($nb_rates == 0) ? l10n('no rate') : l10n('%d rates', $nb_rates),
     'U_CHECK_UPGRADE' => PHPWG_ROOT_PATH.'admin.php?action=check_upgrade',
     'U_PHPINFO' => PHPWG_ROOT_PATH.'admin.php?action=phpinfo',
@@ -244,5 +244,5 @@
       array(
         'URL' => PHPWG_ROOT_PATH.'admin.php?page=comments',
-        'INFO' => sprintf(l10n('%d waiting for validation'), $nb_comments)
+        'INFO' => l10n('%d waiting for validation', $nb_comments)
         )
       );
@@ -262,8 +262,5 @@
     array(
       'DB_DATE' =>
-      sprintf(
-        l10n('first photo added on %s'),
-        format_date($first_date)
-        )
+      l10n('first photo added on %s', format_date($first_date))
       )
     );
Index: /trunk/admin/languages_new.php
===================================================================
--- /trunk/admin/languages_new.php	(revision 25004)
+++ /trunk/admin/languages_new.php	(revision 25005)
@@ -43,11 +43,5 @@
 if (!is_writable($languages_dir))
 {
-  array_push(
-    $page['errors'],
-    sprintf(
-      l10n('Add write access to the "%s" directory'),
-      'language'
-      )
-    );
+  $page['errors'][] = l10n('Add write access to the "%s" directory', 'language');
 }
 
@@ -100,5 +94,5 @@
       array_push(
         $page['errors'],
-        sprintf(l10n('An error occured during extraction (%s).'), htmlspecialchars($_GET['installstatus']))
+        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']))
       );
   }  
Index: /trunk/admin/notification_by_mail.php
===================================================================
--- /trunk/admin/notification_by_mail.php	(revision 25004)
+++ /trunk/admin/notification_by_mail.php	(revision 25005)
@@ -174,6 +174,6 @@
       (
         $page['infos'],
-        sprintf(
-          l10n('User %s [%s] added.'),
+        l10n(
+          'User %s [%s] added.',
           stripslashes($nbm_user['username']),
           get_email_address_as_display_text($nbm_user['mail_address'])
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 25004)
+++ /trunk/admin/picture_modify.php	(revision 25005)
@@ -307,10 +307,10 @@
 
 $intro_vars = array(
-  'file' => sprintf(l10n('Original file : %s'), $row['file']),
-  'add_date' => sprintf(l10n('Posted %s on %s'), time_since($row['date_available'], 'year'), format_date($row['date_available'], false, false)),
-  'added_by' => sprintf(l10n('Added by %s'), $row['added_by']),
+  'file' => l10n('Original file : %s', $row['file']),
+  'add_date' => l10n('Posted %s on %s', time_since($row['date_available'], 'year'), format_date($row['date_available'], false, false)),
+  'added_by' => l10n('Added by %s', $row['added_by']),
   'size' => $row['width'].'&times;'.$row['height'].' pixels, '.sprintf('%.2f', $row['filesize']/1024).'MB',
-  'stats' => sprintf(l10n('Visited %d times'), $row['hit']),
-  'id' => sprintf(l10n('Numeric identifier : %d'), $row['id']),
+  'stats' => l10n('Visited %d times', $row['hit']),
+  'id' => l10n('Numeric identifier : %d', $row['id']),
   );
 
Index: /trunk/admin/plugins_new.php
===================================================================
--- /trunk/admin/plugins_new.php	(revision 25004)
+++ /trunk/admin/plugins_new.php	(revision 25005)
@@ -77,5 +77,5 @@
     default:
       array_push($page['errors'],
-        sprintf(l10n('An error occured during extraction (%s).'), htmlspecialchars($_GET['installstatus'])),
+        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus'])),
         l10n('Please check "plugins" folder and sub-folders permissions (CHMOD).'));
   }  
Index: /trunk/admin/tags.php
===================================================================
--- /trunk/admin/tags.php	(revision 25004)
+++ /trunk/admin/tags.php	(revision 25005)
@@ -72,6 +72,6 @@
         array_push(
           $page['errors'],
-          sprintf(
-            l10n('Tag "%s" already exists'),
+          l10n(
+            'Tag "%s" already exists',
             $tag_name
             )
@@ -137,6 +137,6 @@
         array_push(
           $page['errors'],
-          sprintf(
-            l10n('Tag "%s" already exists'),
+          l10n(
+            'Tag "%s" already exists',
             $tag_name
             )
@@ -191,6 +191,6 @@
         array_push(
           $page['infos'],
-          sprintf(
-            l10n('Tag "%s" is now a duplicate of "%s"'),
+          l10n(
+            'Tag "%s" is now a duplicate of "%s"',
             stripslashes($tag_name),
             $current_name_of[$tag_id]
@@ -301,6 +301,6 @@
       array_push(
         $page['infos'],
-        sprintf(
-          l10n('Tags <em>%s</em> merged into tag <em>%s</em>'),
+        l10n(
+          'Tags <em>%s</em> merged into tag <em>%s</em>',
           implode(', ', $tags_deleted),
           $name_of_tag[$destination_tag_id]
@@ -381,6 +381,6 @@
     array_push(
       $page['infos'],
-      sprintf(
-        l10n('Tag "%s" was added'),
+      l10n(
+        'Tag "%s" was added',
         stripslashes($tag_name)
         )
@@ -391,6 +391,6 @@
     array_push(
       $page['errors'],
-      sprintf(
-        l10n('Tag "%s" already exists'),
+      l10n(
+        'Tag "%s" already exists',
         stripslashes($tag_name)
         )
Index: /trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 25005)
@@ -678,13 +678,13 @@
         
         <blockquote>
-          {'Width'|@translate} <span id="filter_dimension_width_info">{'between %d and %d pixels'|@translate|sprintf:$dimensions.selected.min_width:$dimensions.selected.max_width}</span>
+          {'Width'|@translate} <span id="filter_dimension_width_info">{'between %d and %d pixels'|@translate:$dimensions.selected.min_width:$dimensions.selected.max_width}</span>
           | <a class="dimensions-choice" data-type="width" data-min="{$dimensions.bounds.min_width}" data-max="{$dimensions.bounds.max_width}">{'Reset'|@translate}</a>
           <div id="filter_dimension_width_slider"></div>
           
-          {'Height'|@translate} <span id="filter_dimension_height_info">{'between %d and %d pixels'|@translate|sprintf:$dimensions.selected.min_height:$dimensions.selected.max_height}</span>
+          {'Height'|@translate} <span id="filter_dimension_height_info">{'between %d and %d pixels'|@translate:$dimensions.selected.min_height:$dimensions.selected.max_height}</span>
           | <a class="dimensions-choice" data-type="height" data-min="{$dimensions.bounds.min_height}" data-max="{$dimensions.bounds.max_height}">{'Reset'|@translate}</a>
           <div id="filter_dimension_height_slider"></div>
           
-          {'Ratio'|@translate} ({'Width'|@translate}/{'Height'|@translate}) <span id="filter_dimension_ratio_info">{'between %.2f and %.2f'|@translate|sprintf:$dimensions.selected.min_ratio:$dimensions.selected.max_ratio}</span>
+          {'Ratio'|@translate} ({'Width'|@translate}/{'Height'|@translate}) <span id="filter_dimension_ratio_info">{'between %.2f and %.2f'|@translate:$dimensions.selected.min_ratio:$dimensions.selected.max_ratio}</span>
 {if isset($dimensions.ratio_portrait)}
           | <a class="dimensions-choice" data-type="ratio" data-min="{$dimensions.ratio_portrait.min}" data-max="{$dimensions.ratio_portrait.max}">{'Portrait'|@translate}</a>
Index: /trunk/admin/themes/default/template/cat_perm.tpl
===================================================================
--- /trunk/admin/themes/default/template/cat_perm.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/cat_perm.tpl	(revision 25005)
@@ -77,5 +77,5 @@
 {if isset($nb_users_granted_indirect)}
   <p>
-    {'%u users have automatic permission because they belong to a granted group.'|@translate|@sprintf:$nb_users_granted_indirect}
+    {'%u users have automatic permission because they belong to a granted group.'|@translate:$nb_users_granted_indirect}
     <a href="#" id="indirectPermissionsDetailsHide" style="display:none">{'hide details'|@translate}</a>
     <a href="#" id="indirectPermissionsDetailsShow">{'show details'|@translate}</a>
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 25005)
@@ -611,5 +611,5 @@
       <label>
         <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('display only recently posted photos'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('display only recently posted photos'|@translate|@ucfirst)}
       </label>
     </li>
@@ -625,5 +625,5 @@
       <label>
         <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('Sort order'|@translate)}
+        {'Activate icon "%s"'|@translate:('Sort order'|@translate)}
       </label>
     </li>
@@ -632,5 +632,5 @@
       <label>
         <input type="checkbox" name="index_flat_icon" {if ($display.index_flat_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('display all photos in all sub-albums'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('display all photos in all sub-albums'|@translate|@ucfirst)}
       </label>
     </li>
@@ -639,5 +639,5 @@
       <label>
         <input type="checkbox" name="index_posted_date_icon" {if ($display.index_posted_date_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('display a calendar by posted date'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('display a calendar by posted date'|@translate|@ucfirst)}
       </label>
     </li>
@@ -646,5 +646,5 @@
       <label>
         <input type="checkbox" name="index_created_date_icon" {if ($display.index_created_date_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('display a calendar by creation date'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('display a calendar by creation date'|@translate|@ucfirst)}
       </label>
     </li>
@@ -653,5 +653,5 @@
       <label>
         <input type="checkbox" name="index_slideshow_icon" {if ($display.index_slideshow_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('slideshow'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('slideshow'|@translate|@ucfirst)}
       </label>
     </li>
@@ -672,5 +672,5 @@
       <label>
         <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('slideshow'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('slideshow'|@translate|@ucfirst)}
       </label>
     </li>
@@ -679,5 +679,5 @@
       <label>
         <input type="checkbox" name="picture_metadata_icon" {if ($display.picture_metadata_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('Show file metadata'|@translate)}
+        {'Activate icon "%s"'|@translate:('Show file metadata'|@translate)}
       </label>
     </li>
@@ -686,5 +686,5 @@
       <label>
         <input type="checkbox" name="picture_download_icon" {if ($display.picture_download_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('Download this file'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('Download this file'|@translate|@ucfirst)}
       </label>
     </li>
@@ -693,5 +693,5 @@
       <label>
         <input type="checkbox" name="picture_favorite_icon" {if ($display.picture_favorite_icon)}checked="checked"{/if}>
-        {'Activate icon "%s"'|@translate|@sprintf:('add this photo to your favorites'|@translate|@ucfirst)}
+        {'Activate icon "%s"'|@translate:('add this photo to your favorites'|@translate|@ucfirst)}
       </label>
     </li>
Index: /trunk/admin/themes/default/template/install.tpl
===================================================================
--- /trunk/admin/themes/default/template/install.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/install.tpl	(revision 25005)
@@ -280,5 +280,5 @@
         <label>
           <input type="checkbox" name="newsletter_subscribe"{if $F_NEWSLETTER_SUBSCRIBE} checked="checked"{/if}>
-          <span class="cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|@htmlspecialchars|@nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate|@sprintf:$EMAIL}</span>
+          <span class="cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|@htmlspecialchars|@nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate:$EMAIL}</span>
         </label>
         <br>
Index: /trunk/admin/themes/default/template/intro.tpl
===================================================================
--- /trunk/admin/themes/default/template/intro.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/intro.tpl	(revision 25005)
@@ -43,5 +43,5 @@
       <li><a href="{$U_CHECK_UPGRADE}">{'Check for upgrade'|@translate}</a></li>
 {if isset($SUBSCRIBE_BASE_URL)}
-      <li><a href="{$SUBSCRIBE_BASE_URL}{$EMAIL}" class="externalLink cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|@htmlspecialchars|@nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate|@sprintf:$EMAIL}</a></li>
+      <li><a href="{$SUBSCRIBE_BASE_URL}{$EMAIL}" class="externalLink cluetip" title="{'Piwigo Announcements Newsletter'|@translate}|{'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'|@translate|@htmlspecialchars|@nl2br}">{'Subscribe %s to Piwigo Announcements Newsletter'|@translate:$EMAIL}</a></li>
 {/if}
     </ul>
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 25005)
@@ -291,13 +291,13 @@
       <legend>{'Select files'|@translate}</legend>
  
-    {if isset($original_resize_maxheight)}<p class="uploadInfo">{'The picture dimensions will be reduced to %dx%d pixels.'|@translate|@sprintf:$original_resize_maxwidth:$original_resize_maxheight}</p>{/if}
+    {if isset($original_resize_maxheight)}<p class="uploadInfo">{'The picture dimensions will be reduced to %dx%d pixels.'|@translate:$original_resize_maxwidth:$original_resize_maxheight}</p>{/if}
 
     <p id="uploadWarningsSummary">{$upload_max_filesize_shorthand}B. {$upload_file_types}. {if isset($max_upload_resolution)}{$max_upload_resolution}Mpx{/if} <a class="icon-info-circled-1 showInfo" title="{'Learn more'|@translate}"></a></p>
 
     <p id="uploadWarnings">
-{'Maximum file size: %sB.'|@translate|@sprintf:$upload_max_filesize_shorthand}
-{'Allowed file types: %s.'|@translate|@sprintf:$upload_file_types}
+{'Maximum file size: %sB.'|@translate:$upload_max_filesize_shorthand}
+{'Allowed file types: %s.'|@translate:$upload_file_types}
   {if isset($max_upload_resolution)}
-{'Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'|@translate|@sprintf:$max_upload_resolution:$max_upload_width:$max_upload_height}
+{'Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'|@translate:$max_upload_resolution:$max_upload_width:$max_upload_height}
   {/if}
     </p>
@@ -311,5 +311,5 @@
       </div>
 
-    <p id="uploadModeInfos">{'You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'|@translate|@sprintf:$switch_url}</p>
+    <p id="uploadModeInfos">{'You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'|@translate:$switch_url}</p>
 
 {elseif $upload_mode eq 'multiple'}
@@ -318,5 +318,5 @@
     <div id="fileQueue" style="display:none"></div>
 
-    <p id="uploadModeInfos">{'You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'|@translate|@sprintf:$switch_url}</p>
+    <p id="uploadModeInfos">{'You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'|@translate:$switch_url}</p>
 
 {/if}
@@ -346,5 +346,5 @@
 
 <div id="uploadProgress" style="display:none">
-{'Photo %s of %s'|@translate|@sprintf:'<span id="progressCurrent">1</span>':'<span id="progressMax">10</span>'}
+{'Photo %s of %s'|@translate:'<span id="progressCurrent">1</span>':'<span id="progressMax">10</span>'}
 <br>
 <div id="progressbar"></div>
Index: /trunk/admin/themes/default/template/plugins_installed.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_installed.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/plugins_installed.tpl	(revision 25005)
@@ -163,5 +163,5 @@
             
           {if not empty($author)}
-            | {'By %s'|@translate|@sprintf:$author}
+            | {'By %s'|@translate:$author}
           {/if}
 
@@ -184,5 +184,5 @@
       <div class="pluginMiniBoxNameCell">
         {$plugin.NAME}
-        <a class="icon-info-circled-1 showInfo" title="{if !empty($author)}{'By %s'|@translate|@sprintf:$author} | {/if}{'Version'|@translate} {$version}<br/>{$plugin.DESC|@escape:'html'}"></a>
+        <a class="icon-info-circled-1 showInfo" title="{if !empty($author)}{'By %s'|@translate:$author} | {/if}{'Version'|@translate} {$version}<br/>{$plugin.DESC|@escape:'html'}"></a>
       </div>
       <div class="pluginActions">
Index: /trunk/admin/themes/default/template/plugins_new.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_new.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/plugins_new.tpl	(revision 25005)
@@ -78,5 +78,5 @@
         <em>{'Downloads'|@translate}: {$plugin.DOWNLOADS}</em>
         {'Version'|@translate} {$plugin.VERSION}
-        | {'By %s'|@translate|@sprintf:$plugin.AUTHOR}
+        | {'By %s'|@translate:$plugin.AUTHOR}
         | <a class="externalLink" href="{$plugin.EXT_URL}">{'Visit plugin site'|@translate}</a>
       </td>
Index: /trunk/admin/themes/default/template/themes_installed.tpl
===================================================================
--- /trunk/admin/themes/default/template/themes_installed.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/themes_installed.tpl	(revision 25005)
@@ -59,5 +59,5 @@
     <div class="themeName">
       {$theme.NAME} {if $theme.IS_DEFAULT}<em>({'default'|@translate})</em>{/if} {if $theme.IS_MOBILE}<em>({'Mobile'|@translate})</em>{/if}
-      <a class="icon-info-circled-1 showInfo" title="{if !empty($author)}{'By %s'|@translate|@sprintf:$author} | {/if}{'Version'|@translate} {$version}<br/>{$theme.DESC|@escape:'html'}"></a>
+      <a class="icon-info-circled-1 showInfo" title="{if !empty($author)}{'By %s'|@translate:$author} | {/if}{'Version'|@translate} {$version}<br/>{$theme.DESC|@escape:'html'}"></a>
     </div>
     <div class="themeShot"><a href="{$theme.SCREENSHOT}" class="preview-box" title="{$theme.NAME}"><img src="{$theme.SCREENSHOT}" alt=""></a></div>
Index: /trunk/admin/themes/default/template/updates_ext.tpl
===================================================================
--- /trunk/admin/themes/default/template/updates_ext.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/updates_ext.tpl	(revision 25005)
@@ -181,5 +181,5 @@
         <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/minus.gif" alt="" class="button_{$plugin.ID}" style="display:none;">
         {'New Version'|@translate} : {$plugin.NEW_VERSION}
-        | {'By %s'|@translate|@sprintf:$plugin.AUTHOR}
+        | {'By %s'|@translate:$plugin.AUTHOR}
       </td>
     </tr>
@@ -223,5 +223,5 @@
         <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/minus.gif" alt="" class="button_{$theme.ID}" style="display:none;">
         {'New Version'|@translate} : {$theme.NEW_VERSION}
-        | {'By %s'|@translate|@sprintf:$theme.AUTHOR}
+        | {'By %s'|@translate:$theme.AUTHOR}
       </td>
     </tr>
@@ -265,5 +265,5 @@
         <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/minus.gif" alt="" class="button_{$language.ID}" style="display:none;">
         {'New Version'|@translate} : {$language.NEW_VERSION}
-        | {'By %s'|@translate|@sprintf:$language.AUTHOR}
+        | {'By %s'|@translate:$language.AUTHOR}
       </td>
     </tr>
Index: /trunk/admin/themes/default/template/updates_pwg.tpl
===================================================================
--- /trunk/admin/themes/default/template/updates_pwg.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/updates_pwg.tpl	(revision 25005)
@@ -42,9 +42,9 @@
 <p>
 <ul>
-  <li><a href="admin.php?page=updates&amp;step=2&amp;to={$MINOR_VERSION}"><strong>{'Update to Piwigo %s'|@translate|@sprintf:$MINOR_VERSION}</strong></a>: {'This is a minor update, with only bug corrections.'|@translate}</li>
-  <li><a href="admin.php?page=updates&amp;step=3&amp;to={$MAJOR_VERSION}"><strong>{'Update to Piwigo %s'|@translate|@sprintf:$MAJOR_VERSION}</strong></a>: {'This is a major update, with <a href="%s">new exciting features</a>.'|@translate|@sprintf:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}</li>
+  <li><a href="admin.php?page=updates&amp;step=2&amp;to={$MINOR_VERSION}"><strong>{'Update to Piwigo %s'|@translate:$MINOR_VERSION}</strong></a>: {'This is a minor update, with only bug corrections.'|@translate}</li>
+  <li><a href="admin.php?page=updates&amp;step=3&amp;to={$MAJOR_VERSION}"><strong>{'Update to Piwigo %s'|@translate:$MAJOR_VERSION}</strong></a>: {'This is a major update, with <a href="%s">new exciting features</a>.'|@translate:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}</li>
 </ul>
 </p>
-<p>{'You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'|@translate|@sprintf:$MAJOR_VERSION:$MINOR_VERSION}</p>
+<p>{'You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'|@translate:$MAJOR_VERSION:$MINOR_VERSION}</p>
 {/if}
 
@@ -55,5 +55,5 @@
 </p>
 <form action="" method="post">
-<p><input type="submit" name="submit" value="{'Update to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}"></p>
+<p><input type="submit" name="submit" value="{'Update to Piwigo %s'|@translate:$UPGRADE_TO}"></p>
 <p class="autoupdate_bar" style="display:none;">&nbsp; {'Update in progress...'|@translate}<br><img src="admin/themes/default/images/ajax-loader-bar.gif"></p>
 <p><input type="hidden" name="upgrade_to" value="{$UPGRADE_TO}"></p>
@@ -64,5 +64,5 @@
 <p>
   {'A new version of Piwigo is available.'|@translate}<br>
-  {'This is a major update, with <a href="%s">new exciting features</a>.'|@translate|@sprintf:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}
+  {'This is a major update, with <a href="%s">new exciting features</a>.'|@translate:$RELEASE_URL} {'Some themes and plugins may be not available yet.'|@translate}
 </p>
 <form action="" method="post">
@@ -77,5 +77,5 @@
 {counter assign=i}
 <fieldset>
-  <legend>{'Update to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}</legend>
+  <legend>{'Update to Piwigo %s'|@translate:$UPGRADE_TO}</legend>
   {if !empty($missing.plugins)}
   <p><i>{'Following plugins may not be compatible with the new version of Piwigo:'|@translate}</i></p>
@@ -90,5 +90,5 @@
   <p><label><input type="checkbox" name="understand"> &nbsp;{'I decide to update anyway'|@translate}</label></p>
   {/if}
-  <p><input type="submit" name="submit" value="{'Update to Piwigo %s'|@translate|@sprintf:$UPGRADE_TO}" {if !empty($missing.plugins) or !empty($missing.themes)}disabled="disabled"{/if}>
+  <p><input type="submit" name="submit" value="{'Update to Piwigo %s'|@translate:$UPGRADE_TO}" {if !empty($missing.plugins) or !empty($missing.themes)}disabled="disabled"{/if}>
   </p>
   <p class="autoupdate_bar" style="display:none;">&nbsp; {'Update in progress...'|@translate}<br><img src="admin/themes/default/images/ajax-loader-bar.gif"></p>
Index: /trunk/admin/themes/default/template/upgrade.tpl
===================================================================
--- /trunk/admin/themes/default/template/upgrade.tpl	(revision 25004)
+++ /trunk/admin/themes/default/template/upgrade.tpl	(revision 25005)
@@ -162,5 +162,5 @@
 </table>
 
-<p>{'This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'|@translate|@sprintf:$introduction.CURRENT_RELEASE}</p>
+<p>{'This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'|@translate:$introduction.CURRENT_RELEASE}</p>
 {if isset($login)}
 <p>{'Only administrator can run upgrade: please sign in below.'|@translate}</p>
@@ -181,10 +181,10 @@
 </fieldset>
 <p style="text-align: center;">
-<input class="submit" type="submit" name="submit" value="{'Upgrade from version %s to %s'|@translate|@sprintf:$introduction.CURRENT_RELEASE:$RELEASE}">
+<input class="submit" type="submit" name="submit" value="{'Upgrade from version %s to %s'|@translate:$introduction.CURRENT_RELEASE:$RELEASE}">
 </p>
 </form>
 <!--
 <p style="text-align: center;">
-<a href="{$introduction.RUN_UPGRADE_URL}">{'Upgrade from version %s to %s'|@translate|@sprintf:$introduction.CURRENT_RELEASE:$RELEASE}</a>
+<a href="{$introduction.RUN_UPGRADE_URL}">{'Upgrade from version %s to %s'|@translate:$introduction.CURRENT_RELEASE:$RELEASE}</a>
 </p>
 -->
@@ -193,5 +193,5 @@
 
 {if isset($upgrade)}
-<h2>{'Upgrade from version %s to %s'|@translate|@sprintf:$upgrade.VERSION:$RELEASE}</h2>
+<h2>{'Upgrade from version %s to %s'|@translate:$upgrade.VERSION:$RELEASE}</h2>
 
 <fieldset>
Index: /trunk/admin/themes_installed.php
===================================================================
--- /trunk/admin/themes_installed.php	(revision 25004)
+++ /trunk/admin/themes_installed.php	(revision 25005)
@@ -122,6 +122,6 @@
       $tpl_theme['ACTIVABLE'] = false;
 
-      $tpl_theme['ACTIVABLE_TOOLTIP'] = sprintf(
-        l10n('Impossible to activate this theme, the parent theme is missing: %s'),
+      $tpl_theme['ACTIVABLE_TOOLTIP'] = l10n(
+        'Impossible to activate this theme, the parent theme is missing: %s',
         $missing_parent
         );
@@ -137,6 +137,6 @@
       $tpl_theme['DELETABLE'] = false;
 
-      $tpl_theme['DELETE_TOOLTIP'] = sprintf(
-        l10n('Impossible to delete this theme. Other themes depends on it: %s'),
+      $tpl_theme['DELETE_TOOLTIP'] = l10n(
+        'Impossible to delete this theme. Other themes depends on it: %s',
         implode(', ', $children)
         );
Index: /trunk/admin/themes_new.php
===================================================================
--- /trunk/admin/themes_new.php	(revision 25004)
+++ /trunk/admin/themes_new.php	(revision 25005)
@@ -40,11 +40,5 @@
 if (!is_writable($themes_dir))
 {
-  array_push(
-    $page['errors'],
-    sprintf(
-      l10n('Add write access to the "%s" directory'),
-      'themes'
-      )
-    );
+  $page['errors'][] = l10n('Add write access to the "%s" directory', 'themes');
 }
 
@@ -103,5 +97,5 @@
       array_push(
         $page['errors'],
-        sprintf(l10n('An error occured during extraction (%s).'), htmlspecialchars($_GET['installstatus']))
+        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']))
         );
   }  
Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 25004)
+++ /trunk/admin/user_list.php	(revision 25005)
@@ -215,6 +215,6 @@
         array_push(
           $page['infos'],
-          sprintf(
-            l10n('user "%s" added'),
+          l10n(
+            'user "%s" added',
             $_POST['login']
           )
@@ -235,6 +235,6 @@
       array_push(
         $page['infos'],
-        sprintf(
-          l10n('user "%s" added'),
+        l10n(
+          'user "%s" added',
           stripslashes($_POST['login'])
           )
Index: /trunk/admin/user_perm.php
===================================================================
--- /trunk/admin/user_perm.php	(revision 25004)
+++ /trunk/admin/user_perm.php	(revision 25005)
@@ -86,8 +86,7 @@
   array(
     'TITLE' =>
-      sprintf(
-        l10n('Manage permissions for user "%s"'),
-        get_username($page['user']
-          )
+      l10n(
+        'Manage permissions for user "%s"',
+        get_username($page['user'])
         ),
     'L_CAT_OPTIONS_TRUE'=>l10n('Authorized'),
Index: /trunk/comments.php
===================================================================
--- /trunk/comments.php	(revision 25004)
+++ /trunk/comments.php	(revision 25005)
@@ -79,7 +79,7 @@
   1 => array('label' => l10n('today'),
              'clause' => 'date > '.pwg_db_get_recent_period_expression(1)),
-  2 => array('label' => sprintf(l10n('last %d days'), 7),
+  2 => array('label' => l10n('last %d days', 7),
              'clause' => 'date > '.pwg_db_get_recent_period_expression(7)),
-  3 => array('label' => sprintf(l10n('last %d days'), 30),
+  3 => array('label' => l10n('last %d days', 30),
              'clause' => 'date > '.pwg_db_get_recent_period_expression(30)),
   4 => array('label' => l10n('the beginning'),
Index: /trunk/feed.php
===================================================================
--- /trunk/feed.php	(revision 25004)
+++ /trunk/feed.php	(revision 25005)
@@ -123,5 +123,5 @@
   {
     $item = new FeedItem();
-    $item->title = sprintf(l10n('New on %s'), format_date($dbnow) );
+    $item->title = l10n('New on %s', format_date($dbnow) );
     $item->link = get_gallery_home_url();
 
Index: /trunk/include/calendar_weekly.class.php
===================================================================
--- /trunk/include/calendar_weekly.class.php	(revision 25004)
+++ /trunk/include/calendar_weekly.class.php	(revision 25005)
@@ -45,5 +45,5 @@
     for ($i=1; $i<=53; $i++)
     {
-      $week_no_labels[$i] = sprintf( l10n("Week %d"), $i);
+      $week_no_labels[$i] = l10n('Week %d', $i);
       //$week_no_labels[$i] = $i;
     }
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 25004)
+++ /trunk/include/category_cats.inc.php	(revision 25005)
@@ -353,6 +353,6 @@
           else
           {
-            $info = sprintf(
-              l10n('from %s to %s'),
+            $info = l10n(
+              'from %s to %s',
               format_date($from),
               format_date($to)
Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 25004)
+++ /trunk/include/functions.inc.php	(revision 25005)
@@ -607,9 +607,9 @@
     if ($diff->invert)
     {
-      $print = sprintf(l10n('%s ago'), $print);
+      $print = l10n('%s ago', $print);
     }
     else
     {
-      $print = sprintf(l10n('%s in the future'), $print);
+      $print = l10n('%s in the future', $print);
     }
   }
@@ -1579,6 +1579,6 @@
   if (!isset($cache['get_icon']['title']))
   {
-    $cache['get_icon']['title'] = sprintf(
-      l10n('photos posted during the last %d days'),
+    $cache['get_icon']['title'] = l10n(
+      'photos posted during the last %d days',
       $user['recent_period']
       );
@@ -1706,5 +1706,5 @@
         $label .= ', ';
       }
-      $label .= l10n( sprintf('Level %d',$level) );
+      $label .= l10n( sprintf('Level %d', $level) );
     }
     $options[$level] = $label;
Index: /trunk/include/no_photo_yet.inc.php
===================================================================
--- /trunk/include/no_photo_yet.inc.php	(revision 25004)
+++ /trunk/include/no_photo_yet.inc.php	(revision 25005)
@@ -77,6 +77,6 @@
         array(
           'step' => 2,
-          'intro' => sprintf(
-            l10n('Hello %s, your Piwigo photo gallery is empty!'),
+          'intro' => l10n(
+            'Hello %s, your Piwigo photo gallery is empty!',
             $user['username']
             ),
Index: /trunk/include/template.class.php
===================================================================
--- /trunk/include/template.class.php	(revision 25004)
+++ /trunk/include/template.class.php	(revision 25005)
@@ -74,6 +74,6 @@
         load_language('admin.lang');
         fatal_error(
-          sprintf(
-            l10n('Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'),
+          l10n(
+            'Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation',
             $conf['data_location']
             ),
Index: /trunk/include/ws_functions.inc.php
===================================================================
--- /trunk/include/ws_functions.inc.php	(revision 25004)
+++ /trunk/include/ws_functions.inc.php	(revision 25005)
@@ -3358,5 +3358,5 @@
   {
     case 'ok':
-      return sprintf(l10n('%s has been successfully updated.'), $extension_name);
+      return l10n('%s has been successfully updated.', $extension_name);
 
     case 'temp_path_error':
@@ -3370,5 +3370,5 @@
 
     default:
-      return new PwgError(null, sprintf(l10n('An error occured during extraction (%s).'), $upgrade_status));
+      return new PwgError(null, l10n('An error occured during extraction (%s).', $upgrade_status));
   }
 }
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 25004)
+++ /trunk/install.php	(revision 25005)
@@ -440,5 +440,5 @@
     'EMAIL' => '<span class="adminEmail">'.$admin_mail.'</span>',
     'F_NEWSLETTER_SUBSCRIBE' => $is_newsletter_subscribe,
-    'L_INSTALL_HELP' => sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
+    'L_INSTALL_HELP' => l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.', PHPWG_URL.'/forum'),
     ));
 
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 25004)
+++ /trunk/password.php	(revision 25005)
@@ -85,6 +85,6 @@
     array_push(
       $page['errors'],
-      sprintf(
-        l10n('User "%s" has no email address, password reset is not possible'),
+      l10n(
+        'User "%s" has no email address, password reset is not possible',
         $userdata['username']
         )
@@ -109,6 +109,6 @@
   
   $message = l10n('Someone requested that the password be reset for the following user account:') . "\r\n\r\n";
-  $message.= sprintf(
-    l10n('Username "%s" on gallery %s'),
+  $message.= l10n(
+    'Username "%s" on gallery %s',
     $userdata['username'],
     get_gallery_home_url()
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 25004)
+++ /trunk/picture.php	(revision 25005)
@@ -860,6 +860,5 @@
 if (!empty($picture['current']['filesize']))
 {
-  $infos['INFO_FILESIZE'] =
-    sprintf(l10n('%d Kb'), $picture['current']['filesize']);
+  $infos['INFO_FILESIZE'] = l10n('%d Kb', $picture['current']['filesize']);
 }
 
Index: /trunk/plugins/LocalFilesEditor/admin.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/admin.php	(revision 25004)
+++ /trunk/plugins/LocalFilesEditor/admin.php	(revision 25005)
@@ -93,5 +93,5 @@
       {
         @copy($edited_file, get_bak_file($edited_file));
-        array_push($page['infos'], sprintf(l10n('locfiledit_saved_bak'), substr(get_bak_file($edited_file), 2)));
+        array_push($page['infos'], l10n('locfiledit_saved_bak', substr(get_bak_file($edited_file), 2)));
       }
       
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 25004)
+++ /trunk/search.php	(revision 25005)
@@ -109,8 +109,8 @@
     $search['fields'][$type_date.'-after'] = array(
       'date' => sprintf(
-	'%d-%02d-%02d',
-	$_POST['start_year'],
-	$_POST['start_month'] != 0 ? $_POST['start_month'] : '01',
-	$_POST['start_day']   != 0 ? $_POST['start_day']   : '01'
+        '%d-%02d-%02d',
+        $_POST['start_year'],
+        $_POST['start_month'] != 0 ? $_POST['start_month'] : '01',
+        $_POST['start_day']   != 0 ? $_POST['start_day']   : '01'
         ),
       'inc' => true,
@@ -122,8 +122,8 @@
     $search['fields'][$type_date.'-before'] = array(
       'date' => sprintf(
-	'%d-%02d-%02d',
-	$_POST['end_year'],
-	$_POST['end_month'] != 0 ? $_POST['end_month'] : '12',
-	$_POST['end_day']   != 0 ? $_POST['end_day']   : '31'
+        '%d-%02d-%02d',
+        $_POST['end_year'],
+        $_POST['end_month'] != 0 ? $_POST['end_month'] : '12',
+        $_POST['end_day']   != 0 ? $_POST['end_day']   : '31'
       ),
       'inc' => true,
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 25004)
+++ /trunk/search_rules.php	(revision 25005)
@@ -78,7 +78,8 @@
 if (isset($search['fields']['allwords']))
 {
-  $template->append( 'search_words',
-      sprintf(
-        l10n('searched words : %s'),
+  $template->append(
+      'search_words',
+      l10n(
+        'searched words : %s',
         join(', ', $search['fields']['allwords']['words'])
         )
@@ -104,8 +105,8 @@
 {
   $template->append(
-    'search_words',
-     sprintf(
-          l10n('author(s) : %s'),
-          join(', ', $search['fields']['author']['words'])
+      'search_words',
+      l10n(
+        'author(s) : %s',
+        join(', ', $search['fields']['author']['words'])
         )
       );
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 25004)
+++ /trunk/upgrade.php	(revision 25005)
@@ -235,5 +235,5 @@
 $template->assign(array(
   'RELEASE' => PHPWG_VERSION,
-  'L_UPGRADE_HELP' => sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
+  'L_UPGRADE_HELP' => l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.', PHPWG_URL.'/forum'),
   )
 );
